    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.security.Provider

    java.lang.Object
       |
       +----java.util.Dictionary
               |
               +----java.util.Hashtable
                       |
                       +----java.util.Properties
                               |
                               +----java.security.Provider

public abstract class Provider
extends Properties

This class represents a "provider" for the Java Security API. A provider implements some or all parts of Java Security, including:

- Algorithms (such as DSA, RSA, MD5 or SHA-1).
- Key generation and management facilities (such as for algorithm-specific keys).

Each provider has a name and a version number, and is configured in each runtime it is installed in.

There is a default provider that comes standard with the JDK. It is called the SUN Provider. See The Provider Class in the "Java Cryptography Architecture API Specification & Reference" for information about how providers work and how to install them.

##

Provider(String, double, String)
  Constructs a provider with the specified name, version number, and information.

##

getInfo()
  Returns a human-readable description of the provider and its services.
getName()
  Returns the name of this provider.
getVersion()
  Returns the version number for this provider.
toString()
  Returns a string with the name and the version number of this provider.

##

Provider

     protected Provider(String name,
                        double version,
                        String info)

  Constructs a provider with the specified name, version number, and information.

  Parameters:
    name - the provider name.
    version - the provider version number.
    info - a description of the provider and its services.

##

getName

     public String getName()

  Returns the name of this provider.

  Returns:
    the name of this provider.

getVersion

     public double getVersion()

  Returns the version number for this provider.

  Returns:
    the version number for this provider.

getInfo

     public String getInfo()

  Returns a human-readable description of the provider and its services. This may return an HTML page, with relevant links.

  Returns:
    a description of the provider and its services.

toString

     public String toString()

  Returns a string with the name and the version number of this provider.

  Returns:
    the string with the name and the version number for this provider.
  Overrides:
    toString in class Hashtable

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.